### cancellation_slot

A slot associated with a cancellation signal.

    class cancellation_slot

##### Member Functions

Name | Description
--- | ---
assign | Installs a handler into the slot.
cancellation_slot [constructor] | Creates a slot that is not connected to any cancellation signal.
clear | Clears the slot.
emplace | Installs a handler into the slot, constructing the new object directly.
has_handler | Returns whether the slot is connected and has an installed handler.
is_connected | Returns whether the slot is connected to a signal.

##### Friends

Name | Description
--- | ---
operator!= | Compare two slots for inequality.
operator== | Compare two slots for equality.

##### Requirements

Header: `asio/cancellation_signal.hpp`

Convenience header: `asio.hpp`